Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07480 Sound Minor Always Nov 9, 2019, 03:44 Nov 11, 2019, 14:26
Tester Headrush69 View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver apple2.cpp
Version 0.199 Fixed in Version 0.216 Build 64-bit
Summary MESS-specific 07480: mockingboard enabled software: Since version 0.199, no sound from second AY8913 mockingboard using apple2 drivers
Description Tested on both Windows 10 64-bit and Mac OS X.

Since version 0.199, no sound coming from second AY8913 chip when using Mockingboard in slot 4. Volumes levels are all set properly.
Same results using cleanly cracked disks, Woz original disks, and software list titles.
Steps To Reproduce Start any Apple2 machine with Mockingboard in slot 4.
Start any Mockingboard supported game and output will be mono, only output from the first AY8913 chip.
Additional Information Strange thing, if you switch the slot4 device to a Phasor sound card which is based on the same chip (AY8913), sound comes from both AY8913 chips. (Phasor is backwards compatible to Mockingboard)
Flags
Regression Version
Affected Sets / Systems mockingboard enabled software
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.17163
Osso
Developer
Nov 10, 2019, 21:59
Thanks for the report, I committed a probable fix here: https://github.com/mamedev/mame/commit/072b6b4e6387d839082ef8453195d363a22aae79
If you compile MAME it would be nice if you could check it works again as expected.
User avatar
No.17164
Headrush69
Tester
Nov 11, 2019, 13:55
Tested on OS X with 0.214 source and YES that changed fixed the problem.